package com.mosty.yjzl.cluster;

import java.util.Map;

public class NeighborDTO implements Comparable<NeighborDTO> {

	private WGS84Point point;
	private Map<WGS84Point, Long> neighbors;

	public NeighborDTO(WGS84Point point, Map<WGS84Point, Long> neighbors) {
		super();
		this.point = point;
		this.neighbors = neighbors;
	}

	public WGS84Point getPoint() {
		return point;
	}

	public void setPoint(WGS84Point point) {
		this.point = point;
	}

	public Map<WGS84Point, Long> getNeighbors() {
		return neighbors;
	}

	public void setNeighbors(Map<WGS84Point, Long> neighbors) {
		this.neighbors = neighbors;
	}

	@Override
	public int compareTo(NeighborDTO o) {
		return o.getNeighbors().size() - neighbors.size();
	}

}
